#!/bin/sh

# This script returns additional CFLAGS, for compiling the ovcam drivers, that
# cannot be autodetected easily by the Makefile or the C preprocessor


# RedHat 9 has a different remap_page_range() signature (same as 2.5 kernel).
# Is it a RedHat system?
if [ -f /etc/redhat-release ]; then
	# RedHat _9_ system?
	if [ -n "$(grep Shrike /etc/redhat-release)" ]; then
		# RedHat kernel?
		if [ -n "$(uname -r | sed -n '/2.4.[0-9][0-9]-[0-9]/p')" ]; then
			echo "-DRH9_REMAP"
		fi
	fi
fi
